Subject: Re: [DNSOP] I-D Action: draft-ietf-dnsop-rfc2845bis-04.txt

From: Martin Hoffmann <[email-masked]>
Date: Mon, 1 Jul 2019 12:39:31 +0200

Hi Stephen,

Stephen Morris wrote:
> 
> Back in March, Martin Hoffman did a comprehensive review of the
> RFC2845bis draft and made a number of very good suggestions for
> improvements to its readability.  I've edited the draft to take
> account of his comments, something that has had a significant effect
> on its structure.

Thank you for taking the time to rework the document -- and sorry for
causing all this work. I do believe this is a much better document now!

I have only one thing that I would like to see addressed: MD5 being
mandatory. I asked back in March if we could make it optional and, as
far as I remember, there was some agreement.

Also, there are two requests for feedback in your comments to my
comments, which I thought I keep here so that they become more visible:

> > 6.5.3.  Time Check and Error Handling
> > 
> >   o  An actual protocol question: What is the point of the caching
> > the last Time Signed per key and rejecting earlier messages? What
> > about reordering of messages as can happen with UDP?  
> 
> Good question: thoughts?
> > 
> >   o  What Fudge should the server use in its BADTIME response?  
> 
> I would presume that the Fudge field is not used when verifying the
> error response so is irrelevant.  However, is should be specified.
> Thoughts?

Kind regards,
Martin